Integrador
Reativar loja
Reativa uma loja desativada e emite um novo token para ela.
POST
/manager/integrator/store/reactiveAuthorization
bearerAuth gatewayKey AuthorizationBearer <token>
Token JWT no formato: Bearer {token}
In: header
ocp-apim-subscription-key<token>
Gateway Token recebido na criacao da loja.
In: header
Request Body
application/json
Corpo da requisição.
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://api.smarttef.mobi/manager/integrator/store/reactive" \ -H "Content-Type: application/json" \ -d '{ "cnpj": "99999999999999", "store_name": "Loja Exemplo Comércio LTDA", "email": "admin@exemplo.com.br", "name": "Ana Administradora" }'{
"token": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.novo",
"activationToken": "ATV-3f9c1a"
}{
"status": 400,
"data": {
"message": "Store already exists",
"timestamp": "2026-02-09T12:00:00.000Z",
"path": "/manager/integrator/store/reactive"
}
}{
"status": 401,
"data": {
"message": [
"Unauthorized",
"Token não e do tipo integrador, verifique se o token está correto.",
"token not corresponds."
],
"timestamp": "2026-02-09T12:00:00.000Z",
"path": "/manager/integrator/store/reactive"
}
}{
"status": 404,
"data": {
"message": "Integrator not found",
"timestamp": "2026-02-09T12:00:00.000Z",
"path": "/manager/integrator/store/reactive"
}
}{
"status": 500,
"data": {
"message": "Internal server error",
"timestamp": "2026-02-09T12:00:00.000Z",
"path": "/manager/integrator/store/reactive"
}
}